Opened 5 years ago

Closed 5 years ago

#616 closed defect (invalid)

WebM/VP8 issue incombination with VLC

Reported by: jongerenchaos Owned by:
Priority: normal Component: undetermined
Version: unspecified Keywords:
Cc: Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description

I try to use the following command VLC (1.1.15linux) (to transcode the mpeg file into a new Webm format):

cvlc test.mpg --sout "#transcode{vcodec=VP80,vb=800,scale=1,acodec=vorbis,ab=128,channels=2}:std{access=file,mux='ffmpeg{mux=webm}',dst=aVeryNiceMoive.webm}"

But when i use this i get the following error:

[0x2586dd8] avcodec generic error: cannot open codec (MPEG-1/2 Video)
[0x2587238] avcodec encoder error: cannot find encoder Google/On2's VP8 Video
*** Your FFMPEG installation is crippled.   ***
*** Please check with your FFMPEG packager. ***
*** This is NOT a VLC media player issue.   ***
[0x2587238] main encoder error: Streaming / Transcoding failed
[0x2587238] main encoder error: It seems your FFMPEG (libavcodec) installation lacks the following encoder:
Google/On2's VP8 Video.
If you don't know how to fix this, ask for support from your distribution.

This is not an error inside VLC media player.
Do not contact the VideoLAN project about this issue.

[0x30f79f8] stream_out_transcode stream out error:

I use the GIT version of ffmpeg (and i can decode and encode webm files without any problem with the command ffmpeg -threads 4 -i input.mpg -s 720x480 -acodec libvorbis -ab 128k -vcodec libvpx -b 256k -re -f webm output.webm):

root@ubuntu:~# ffmpeg
ffmpeg version 0.8.5.git, Copyright (c) 2000-2011 the FFmpeg developers
  built on Oct 23 2011 11:24:43 with gcc 4.5.2
  configuration: --enable-postproc --enable-libvpx --enable-libvorbis --enable-pthreads --prefix=/usr --enable-avfilter
  libavutil    51. 22. 0 / 51. 22. 0
  libavcodec   53. 21. 0 / 53. 21. 0
  libavformat  53. 16. 1 / 53. 16. 1
  libavdevice  53.  4. 0 / 53.  4. 0
  libavfilter   2. 44. 0 /  2. 44. 0
  libswscale    2.  1. 0 /  2.  1. 0
Hyper fast Audio and Video encoder


Therefore i think there is a problem with the extension. When i launch the VLC with "vcodec=VP80" this will refer to the ffmpeg VP80 video codec extension (and this is changed recently in ffmpeg to -vcodec libvpx).

Is there a solution to repair/solve this problem?

Change History (3)

comment:1 in reply to: ↑ description Changed 5 years ago by cehoyos

Replying to jongerenchaos:

Therefore i think there is a problem with the extension. When i launch the VLC with "vcodec=VP80" this will refer to the ffmpeg VP80 video codec extension (and this is changed recently in ffmpeg to -vcodec libvpx).

What do you mean with "recently"?
I don't think a fourcc can be used to identify a codec in matroska/webm (this may be related to ticket #8, but I don't think reverting the change makes sense).

comment:2 Changed 5 years ago by cehoyos

Does it work if you omit "vcodec=VP80"?
(WebM only allows VP8 as video codec.)

Given that "acodec" allows "vorbis" as argument, I would expect "vcodec" to accept "libvpx". Does that work?

comment:3 Changed 5 years ago by cehoyos

  • Resolution set to invalid
  • Status changed from new to closed

J-B informed me that this is a problem in vlc, fixed in 2.0.0.

Note: See TracTickets for help on using tickets.